
ChiliProject - Feature # 226: rename admin account

Status: Declined Priority: Normal
Author: Ian Freeman Category: User accounts
Created: 2011-02-26 Assignee:
Updated: 2011-03-20 Due date:
Remote issue URL:
Affected version:
Description: For security reasons, internet facing installs may desire to rename the default administrator account 

username. The username field should not be hidden for this account on the account page.

History
2011-02-26 07:46 pm - Eric Davis
- Status changed from Open to Needs more information

Where is the username hidden on the account page?

For example here on chiliproject.org and on my own install, I've renamed the default admin account to 'edavis'. 

2011-02-26 07:59 pm - Holger Just
As administrator, you can only change usernames in the admin view (@/users/1/edit@) but not directly in @/my/account@. This might be confusing.

2011-02-28 06:51 am - Ian Freeman
- Status changed from Needs more information to Open

Holger has it.

I guess this is a minor issue, as there _is_ a way you can edit the username.

Is there value in allowing regular user accounts to change their username or should it continue to be something they have to ask the admin about?

2011-02-28 09:56 am - Felix Schäfer
Ian Freeman wrote:
> Is there value in allowing regular user accounts to change their username or should it continue to be something they have to ask the admin about?

I wouldn't want it, if only because you could use it to brute-force already registered user names. It would be confusing for most users too I think.

2011-02-28 04:57 pm - Ian Freeman
Yeah, I really don't see the need for it either.

Anyway, we can close this issue out if you agree it's too low priority to be useful. I'll let you decide though.

2011-03-20 07:37 pm - Felix Schäfer
- Status changed from Open to Declined

Closing this as we all seem to agree there is a satisfactory solution. If there is a good case for it, feel free to reopen/open a new issue.
